WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Scripts n Styles

This plugin allows Admin users to individually add custom CSS, Classes and JavaScript directly to Post, Pages or any other custom post types.

3.3

  • See the github repo commits

3.2.1

  • metabox add shortcode bugfix

3.2

  • Add AJAX to Shortcode Tab
  • Add "Chosen" for selects
  • General UI Improvements
  • Add CoffeeScript Support
  • Add Hoops Widget
  • Add Global Hoops Shortcodes
  • Add Markdown mode to code editor
  • Add (fix) code editor themes
  • Theme Support (Beta Feature)

3.1.1

  • Add (fix) CodeMirror Themes

3.1

  • Feature: Dynamic Shortcodes.
  • Feature: LESS.js support.
  • Bug Fix: Proper output escaping.

3.0.3

  • Bug Fix: wpautop formatting.

3.0.2

  • Bug Fix: Fatal Error on post save

3.0.1

  • Option to show Metabox by default
  • Check upgrade in more places
  • Fix double Settings Message on general-options
  • Fix empty post showing on usage
  • Cleaned up constants (internal)

3

  • AJAX Saving of Meta-box
  • Dynamically populate the Styles Dropdown for TinyMCE
  • Styles preview in Post Editor
  • Enqueue dependant scripts if you need (like jQuery)
  • Adjustable menu placement
  • CodeMirror Themes

2.0.3

  • fixed some bugs

2.0.1

  • Better selection of post_types to add Scripts-n-Styles
  • micro-optimization for storage of class names.
  • Adds option page for globally adding Scripts and Styles.
  • Defined a later priority for Scripts n Styles to print after other scripts and styles.
  • Added a box for Scripts to be included in the head.
  • Better adherence to coding standards.
  • Tabbed interface on metabox
  • added CodeMirror
  • began contextual help

1.0.2

  • Added fields for body_class and post_class
  • Merged meta boxes
  • Cleaned up code
  • Improved compatibility
  • Added Screenshot

1.0.1

  • Some small plugin meta data updates.

1.0

  • Initial Release.

Requires: 3.6 or higher
Compatible up to: 3.6.1
Last Updated: 2012-7-12
Downloads: 12,326

Ratings

4 stars
4.9 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1
0,1,0 100,1,1
100,1,1
0,1,0 100,1,1 100,1,1 100,1,1
0,1,0 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 0,1,0 100,1,1
100,1,1 100,1,1 0,1,0 100,1,1
100,1,1 100,2,2
100,1,1 100,1,1 100,3,3
100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
100,2,2
100,1,1
100,1,1
100,1,1
100,1,1 100,1,1